### R code from vignette source 'intro.Rnw'

###################################################
### code chunk number 1: intro.Rnw:19-22
###################################################
library(scuba)
sversion <- read.dcf(file = system.file("DESCRIPTION", package = "scuba"),
         fields = "Version")


###################################################
### code chunk number 2: intro.Rnw:58-64
###################################################
opa <- par(mfrow=c(1,2))
d1 <- dive(c(20,20), c(5,5))
data(pedro)
plot(d1, main="", lwd=4)
plot(pedro950, main="", col.gases=1)
par(opa)


###################################################
### code chunk number 3: intro.Rnw:83-84
###################################################
d <- dive(c(18,45))


###################################################
### code chunk number 4: intro.Rnw:101-103
###################################################
d <- dive(c(18,45))
haldane(d)


###################################################
### code chunk number 5: intro.Rnw:118-122
###################################################
data(pedro)
frag <- chop.dive(pedro902, 0, 35)
hald <- haldane(frag, relative=TRUE, model="Z")
otu  <- oxtox(frag)


###################################################
### code chunk number 6: intro.Rnw:125-139
###################################################
opa <- par(mfrow=c(1,2))
pozzie <- barplot(hald,
                  xlab=paste("Tissues (ZH-L16A)", sep=""),
                  ylab="Relative saturation",
                  main=paste("Time= 35 min\n",
                    "Accumulated oxygen toxicity", round(otu, 1)),
                      ylim=range(c(0, 1.1, 1.1 * max(hald))),
                      names.arg=NULL)
mtext(side=1, at=pozzie[1], line=1, text="Fast")
mtext(side=1, at=pozzie[17], line=1, text="Slow")
abline(h=1, lty=3, col="red")
plot(pedro902)
abline(v=35, lty=2, col="green")
par(opa)


###################################################
### code chunk number 7: intro.Rnw:148-149
###################################################
hald902 <- haldane(pedro902, progressive=TRUE, relative=TRUE)


###################################################
### code chunk number 8: intro.Rnw:151-154
###################################################
persp(times.dive(pedro902), 1:8, hald902,
      theta=-45, shade=0.5, col="yellow", border=NA,
      xlab="Time", ylab="Tissue", zlab="Relative saturation")


###################################################
### code chunk number 9: intro.Rnw:161-162
###################################################
ndl(24)


###################################################
### code chunk number 10: intro.Rnw:173-175
###################################################
nitrox(0.32)
nitrox(1)


###################################################
### code chunk number 11: intro.Rnw:183-184
###################################################
mod(nitrox(0.32))


###################################################
### code chunk number 12: intro.Rnw:192-193
###################################################
nd <- dive(nitrox(0.32), c(18, 45))


###################################################
### code chunk number 13: intro.Rnw:203-206
###################################################
d <- dive(trimix(0.18, 0.45), c(40, 20), c(30,10), 9, nitrox(0.6), 
        c(9,3), c(6, 5), c(3, 11))
plot(d)


###################################################
### code chunk number 14: intro.Rnw:230-231
###################################################
detach("package:scuba")


###################################################
### code chunk number 15: intro.Rnw:234-235
###################################################
library(scuba)


###################################################
### code chunk number 16: intro.Rnw:305-306
###################################################
d <- dive(c(18, 45), c(5,3))


###################################################
### code chunk number 17: intro.Rnw:313-314
###################################################
plot(d)


###################################################
### code chunk number 18: intro.Rnw:320-321
###################################################
d


###################################################
### code chunk number 19: intro.Rnw:328-329
###################################################
summary(d)


###################################################
### code chunk number 20: intro.Rnw:352-353
###################################################
d2 <- dive(c(18, 45), c(5,3))


###################################################
### code chunk number 21: intro.Rnw:359-361
###################################################
plot(d2)
d2


###################################################
### code chunk number 22: intro.Rnw:369-370
###################################################
d3 <- dive(c(30,15),c(9,1),c(5,5),c(0,60),c(12,60),c(5,5))


###################################################
### code chunk number 23: intro.Rnw:376-377
###################################################
plot(d3)


###################################################
### code chunk number 24: intro.Rnw:434-435 (eval = FALSE)
###################################################
## mydata <- read.table("myfile.txt", header=TRUE, as.is=TRUE)


###################################################
### code chunk number 25: intro.Rnw:437-439
###################################################
data(baron)
mydata <- baron


###################################################
### code chunk number 26: intro.Rnw:466-467
###################################################
head(mydata)


###################################################
### code chunk number 27: intro.Rnw:473-474
###################################################
mydf <- mydata[ , 1:2]


###################################################
### code chunk number 28: intro.Rnw:479-481
###################################################
head(mydf)
is.character(mydf[,1])


###################################################
### code chunk number 29: intro.Rnw:492-493
###################################################
d <- dive(mydf)


###################################################
### code chunk number 30: intro.Rnw:501-504
###################################################
data(baron)
mydf <- baron[, 1:2]
baronprof <- dive(mydf[,1:2])


###################################################
### code chunk number 31: intro.Rnw:516-518
###################################################
data(pedro)
plot(pedro902)


###################################################
### code chunk number 32: intro.Rnw:533-536
###################################################
d <- dive(c(30, 20), c(5, 3))
depths.dive(d)
times.dive(d)


###################################################
### code chunk number 33: intro.Rnw:545-547
###################################################
depths.dive(d) <- c(0, 35, 35, 5, 5, 0)
d


###################################################
### code chunk number 34: intro.Rnw:553-554
###################################################
depths.dive(d)[2:3] <- 35


###################################################
### code chunk number 35: intro.Rnw:567-568
###################################################
durations.dive(d)[2] <- 25


###################################################
### code chunk number 36: intro.Rnw:574-575
###################################################
chop.dive(d, 0, 10)


###################################################
### code chunk number 37: intro.Rnw:586-590
###################################################
data(pedro)
tim <- times.dive(pedro902)
dep <- depths.dive(pedro902)
plot(pedro902)


###################################################
### code chunk number 38: intro.Rnw:597-599
###################################################
t9 <- max(tim[dep >= 9])
t9


###################################################
### code chunk number 39: intro.Rnw:604-606
###################################################
before <- chop.dive(pedro902, 0, t9)
after <- chop.dive(pedro902, t9)


###################################################
### code chunk number 40: intro.Rnw:611-613
###################################################
newdive <- dive(before, c(9, 5), after)
plot(newdive)


###################################################
### code chunk number 41: intro.Rnw:658-660
###################################################
m <- pickmodel("USN")
m


###################################################
### code chunk number 42: intro.Rnw:673-674
###################################################
ndl(30, model="USN")


###################################################
### code chunk number 43: intro.Rnw:686-687
###################################################
bestdoubledive(40, 12, 15)


###################################################
### code chunk number 44: intro.Rnw:705-707
###################################################
d <- dive(c(18,60), c(5,5))
haldane(d)


###################################################
### code chunk number 45: intro.Rnw:718-719
###################################################
haldane(d, relative=TRUE)


###################################################
### code chunk number 46: intro.Rnw:729-737 (eval = FALSE)
###################################################
## data(pedro)
## h <- haldane(pedro902, progressive=TRUE, relative=TRUE)
## tim <- times.dive(pedro902)
## tiss <- row.names(as.data.frame(pickmodel("D")))
## ntiss <- length(tiss)
## image(tim, 1:ntiss, h, xlab="Time", ylab="Tissue", axes=FALSE)
## axis(1)
## axis(2, at=1:ntiss, labels=tiss)


###################################################
### code chunk number 47: intro.Rnw:739-745
###################################################
tim <- times.dive(pedro902)
tiss <- row.names(as.data.frame(pickmodel("D")))
ntiss <- length(tiss)
image(tim, 1:ntiss, hald902, xlab="Time", ylab="Tissue", axes=FALSE)
axis(1)
axis(2, at=1:ntiss, labels=tiss)


###################################################
### code chunk number 48: intro.Rnw:751-754 (eval = FALSE)
###################################################
## persp(tim, 1:ntiss, h,
##       theta=-45, shade=0.5, col="yellow", border=NA,
##       xlab="Time", ylab="Tissue", zlab="Relative saturation")


###################################################
### code chunk number 49: intro.Rnw:756-759
###################################################
persp(tim, 1:ntiss, hald902,
      theta=-45, shade=0.5, col="yellow", border=NA,
      xlab="Time", ylab="Tissue", zlab="Relative saturation")


###################################################
### code chunk number 50: intro.Rnw:771-785
###################################################
opa <- par(mfrow=c(1,2))
pozzie <- barplot(hald,
                  xlab=paste("Tissues (ZH-L16A)", sep=""),
                  ylab="Relative saturation",
                  main=paste("Time= 35 min\n",
                    "Accumulated oxygen toxicity", round(otu, 1)),
                      ylim=range(c(0, 1.1, 1.1 * max(hald))),
                      names.arg=NULL)
mtext(side=1, at=pozzie[1], line=1, text="Fast")
mtext(side=1, at=pozzie[17], line=1, text="Slow")
abline(h=1, lty=3, col="red")
plot(pedro902)
abline(v=35, lty=2, col="green")
par(opa)


###################################################
### code chunk number 51: intro.Rnw:793-794
###################################################
oxtox(pedro902)


###################################################
### code chunk number 52: intro.Rnw:816-819
###################################################
nitrox(0.36)
nitrox(1)
nitrox(0.21)


###################################################
### code chunk number 53: intro.Rnw:828-829
###################################################
trimix(0.18, 0.45)


###################################################
### code chunk number 54: intro.Rnw:836-837
###################################################
summary(nitrox(0.36))


###################################################
### code chunk number 55: intro.Rnw:852-853
###################################################
ead(24, nitrox(0.32))


###################################################
### code chunk number 56: intro.Rnw:860-861
###################################################
mod(nitrox(0.36), 1.5)


###################################################
### code chunk number 57: intro.Rnw:867-868
###################################################
maxmix(40, 1.5)


###################################################
### code chunk number 58: intro.Rnw:890-891
###################################################
dive(nitrox(0.32), c(30,20))


###################################################
### code chunk number 59: intro.Rnw:899-900
###################################################
dive(c(30,20), 5, nitrox(0.36), c(5,3))


###################################################
### code chunk number 60: intro.Rnw:927-929
###################################################
dive(nitrox(0.25), c(30, 20), c(5,3), c(0, 20))
dive(nitrox(0.25), c(30, 20), c(5,3), 0, air, c(0, 20))


###################################################
### code chunk number 61: intro.Rnw:944-945
###################################################
d <- dive(c(30,20), c(5,5))


###################################################
### code chunk number 62: intro.Rnw:952-953
###################################################
tanklist(d) <- list(nitrox(0.32))


###################################################
### code chunk number 63: intro.Rnw:960-961
###################################################
d <- dive(air, c(30,40), 6, nitrox(0.5), c(6,3), c(3,3))


###################################################
### code chunk number 64: intro.Rnw:967-968
###################################################
tanklist(d) <- list(nitrox(0.32), nitrox(0.5))


###################################################
### code chunk number 65: intro.Rnw:974-975
###################################################
tanklist(d)[[1]] <- nitrox(0.32)


###################################################
### code chunk number 66: intro.Rnw:982-983
###################################################
tanklist(d) <- list(deep=nitrox(0.32), deco=nitrox(0.5))


###################################################
### code chunk number 67: intro.Rnw:989-990
###################################################
names(tanklist(d)) <- c("deep", "deco")


###################################################
### code chunk number 68: intro.Rnw:1000-1003
###################################################
TL <- list(travel=trimix(0.18, 0.45), deco=nitrox(0.6))
d <- dive(tanklist=TL, tank="travel", c(30,40), 6, 
            tank="deco", c(6,3), c(3,3))


###################################################
### code chunk number 69: intro.Rnw:1019-1020
###################################################
whichtank(d)


###################################################
### code chunk number 70: intro.Rnw:1028-1029
###################################################
whichtank(d) <- ifelse(depths.dive(d) < 3, "travel", "deco")


###################################################
### code chunk number 71: intro.Rnw:1035-1036
###################################################
whichtank(d)[depths.dive(d) > 3] <- "travel"


